from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static
from django.views.generic import TemplateView

from . import views

app_name = "rcr"

urlpatterns = [
    path("radiology/", views.radiology_index, name="radiology_index_view"),
    path("radiology/all", views.radiology_index_all, name="radiology_index_all_view"),
    path("radiology/gap", views.radiology_gap, name="radiology_gap"),
    path("radiology/results", views.radiology_results, name="radiology_results"),
    path("radiology/review", views.radiology_review, name="radiology_review_view"),
    path(
        "radiology/completed",
        views.radiology_index_completed,
        name="radiology_index_completed_view",
    ),
    path(
        "radiology/assessors",
        views.radiology_assessors,
        name="radiology_assessors_view",
    ),
    path(
        "radiology/assigned/user/<int:user_pk>",
        views.radiology_assigned_user,
        name="radiology_assigned_user_view",
    ),
    path(
        "radiology/assessors/<int:assessor_pk>/assignment",
        views.radiology_assessor_assignment,
        name="radiology_assessor_assignment_view",
    ),
    path(
        "radiology/completed/user/<int:user_pk>",
        views.radiology_index_completed_by_user,
        name="radiology_index_completed_by_user_view",
    ),
    path(
        "radiology/item/<int:pk>/",
        views.ItemDetailView.as_view(),
        name="radiology_detail_view",
    ),
    path(
        "radiology/item/next/update",
        views.ItemUpdateNextView.as_view(),
        name="radiology_update_next_view",
    ),
    path(
        "radiology/item/next/update/skip/<int:skip>",
        views.ItemUpdateNextView.as_view(),
        name="radiology_update_next_skip_view",
    ),
    path(
        "radiology/item/<int:pk>/update",
        views.ItemUpdateView.as_view(),
        name="radiology_update_view",
    ),
]
